<div class="c-text-media c-text-media--{{modifier}} {{spaceAfter}}">

    {{#if noHeader}}
        <!-- no headline set -->
    {{else}}
        <h2 class="c-text-media__headline u-typo:xl">{{#if linkedHeadline}}<a href="#">{{/if}}{{title}}{{#if linkedHeadline}}</a>{{/if}}</h2>
    {{/if}}
    {{#if h3Header}}
        <h3 class="c-text-media__headline u-typo:l">{{title}}</h3>
    {{/if}}
    {{#if h4Header}}
        <h4 class="c-text-media__headline u-typo:m">{{title}}</h4>
    {{/if}}

    <div class="c-text-media__content">
        {{#if below}}
            <div class="c-text-media__text">
                <p>{{textS}}</p>
                <p>{{textM}}</p>
                <p>{{textL}}</p>
            </div>
            <div class="c-text-media__image">
                {{render '@image--16x9'}}
            </div>
        {{else}}
            <div class="c-text-media__image">
                {{#if imageSmall}}
                    {{render '@image--16x9-small'}}
                {{else}}
                    {{render '@image--16x9'}}
                {{/if}}
            </div>
            <div class="c-text-media__text">
                <p>{{textS}}</p>
                <p>{{textM}}</p>
                <p>{{textL}}</p>
                <p>{{textL}}</p>
            </div>
        {{/if}}
    </div>
</div>
